# Summary
- [Introduction](./README.md)
- [Installation](./installation/README.md)
    - [Installing a Local Version (ANNIS Desktop)](./installation/desktop.md)
    - [Installing an ANNIS Server](./installation/server.md)
    - [Migrating from ANNIS 3](./installation/migrate-annis3.md)
- [Using the ANNIS interface](./interface/README.md)
    - [Search Form](./interface/search-form.md)
    - [Result Window](./interface/result-window.md)
    - [Query Builder](./interface/query-builder.md)
    - [Administration Interface](./interface/admin-web.md)
- [ANNIS Query Language (AQL)](./aql/README.md)
    - [Searching for Word Forms](./aql/word-forms.md)
    - [Searching for Annotations](./aql/annotations.md)
    - [Searching using Regular Expressions](./aql/regex.md)
    - [Searching for Trees](./aql/trees.md)
    - [Searching for Pointing Relations](./aql/pointing.md)
    - [Operator Negation](./aql/negation.md)
    - [Exporting Results](./aql/export.md)
    - [Frequency Analysis](./aql/frequency.md)
    - [Complete List of Operators](./aql/operators.md)
    - [Differences in Compatibility Mode](./aql/compatibility-mode.md)
- [Importing and Configuring Corpora](./import-and-config/README.md)
    - [Converting Corpora for ANNIS using Pepper](./import-and-config/convert.md)
    - [Importing Corpora in the relANNIS or GraphML format](./import-and-config/import.md)
    - [Configuring Settings for a Corpus](./import-and-config/corpus-config.md)
    - [Configuring Visualizations](./import-and-config/visualizations.md)
    - [List of Visualizations](./import-and-config/visualizations-list.md)
    - [Document Browser](./import-and-config/documentbrowser.md)
- [Configuration of ANNIS](./configuration/README.md)
    - [User Configuration on Server](./configuration/user.md)
    - [Multiple Instances of the Interface](./configuration/instances.md)
    - [Right-to-Left Visualizations](./configuration/rtl.md) 
- [Advanced Topics](./advanced/README.md)
    - [Links to queries](./advanced/links-to-queries.md)
    - [Embed ANNIS visualizations](./advanced/embed-vis.md)
    - [Install backend and front-end on different servers](advanced/backend-frontend-separation.md)
